import java.applet.Applet;
import java.awt.event.*;
import java.awt.*;

/**This file gives data for the preset
   containers for the images of the pieces of
   the partition under the relevant maps.*/

public class DataConfiner {



    public static void assignRange(Manager M,int n) {
	 QI2Polygon temp=main(n);
	 if(temp!=null) {
           M.P.RANGE=main(n);
	   int q=M.P.RANGE.COUNT;
	   SelectStyle.NUMBER2=q;
	   try{M.S.NUMBER2.val=q;}
	   catch(Exception e) {}
	 }
    }



    public static QI2Polygon main(int k) {
	return(mainRaw(image(k)));
    }

    public static QI2Polygon mainRaw(int n) {
	if(n==-1) return(null);
	int[] t=pointList(n);
	QI2[][] V=new QI2[t.length][2];
	for(int i=0;i<t.length;++i) {
	    V[i]=point(t[i]);
	}
	return(new QI2Polygon(V));
    }


    public static int[] pointList(int k) {
	int[][] s={{1,2,3,4},{5,6,7,8,9,41,42},{10,11,55,54,12},{57,22,19,17},
                   {3,13,14,15,16},{51,52,53,24},{19,20,23,24,22},{19,20,23,25,22},
                   {26,27,28,29},{30,31,32,33},{20,34,32,22},{3,19,22},
                   {47,48,49,50},{3,46,19,45},{38,37,36,35},
                   {57,76,58,59,60},{61,3,63,64},{75,66,67,68},{19,20,73,74}};
	return(s[k]);
    }

    public static int image(int k) {
	int[] t={3,3,3,3,13,11,9,9,9,9,
                 8,8,8,8,10,6,18,1,10,1,
                 7,6,4,6,6,10,7,6,6,4,
                 10,1,1,2,0,0,0,5,2,4,
                 4,4,16,4,15,14,17,12,4,1,
                 1,15,0,0,0,0,0,
		 0,0,0,0,0,0,0,0,0,0,0};
	return(t[k]);
    }


    /**This gets numerical versions of the points.
       This routine is only used for debugging and development.*/

    public static double[] pointN(int k) {
	long[] x=data(k);
	double[] X={x[0]+x[1]*QI.phi(),x[2]+x[3]*QI.phi()};
	return(X);
    }

    public static QI2[] point(int k) {
	long[] x=data(k);
	QI2[] X={new QI2(x[0],x[1]),new QI2(x[2],x[3])};
	return(X);
    }

    public static long[] data(long k) {
	if(k==1) return(data1());
	if(k==2) return(data2());
	if(k==3) return(data3());
	if(k==4) return(data4());
	if(k==5) return(data5());
	if(k==6) return(data6());
	if(k==7) return(data7());
	if(k==8) return(data8());
	if(k==9) return(data9());
	if(k==10) return(data10());
	if(k==11) return(data11());
	if(k==12) return(data12());
	if(k==13) return(data13());
	if(k==14) return(data14());
	if(k==15) return(data15());
	if(k==16) return(data16());
	if(k==17) return(data17());
	if(k==18) return(data18());
	if(k==19) return(data19());
	if(k==20) return(data20());
	if(k==21) return(data21());
	if(k==22) return(data22());
	if(k==23) return(data23());
	if(k==24) return(data24());
	if(k==25) return(data25());
	if(k==25) return(data25());
	if(k==26) return(data26());
	if(k==27) return(data27());
	if(k==28) return(data28());
	if(k==29) return(data29());
	if(k==30) return(data30());
	if(k==31) return(data31());
	if(k==32) return(data32());
	if(k==33) return(data33());
	if(k==34) return(data34());
	if(k==35) return(data35());
	if(k==36) return(data36());
	if(k==37) return(data37());
	if(k==38) return(data38());
	if(k==39) return(data39());
	if(k==40) return(data40());
	if(k==41) return(data41());
	if(k==42) return(data42());
	if(k==43) return(data43());
	if(k==44) return(data44());
	if(k==45) return(data45());
	if(k==46) return(data46());
	if(k==47) return(data47());
	if(k==48) return(data48());
	if(k==49) return(data49());
	if(k==50) return(data50());
	if(k==51) return(data51());
	if(k==52) return(data52());
	if(k==53) return(data53());
	if(k==54) return(data54());
	if(k==55) return(data55());
	if(k==56) return(data56());
	if(k==57) return(data57());
	if(k==58) return(data58());
	if(k==59) return(data59());
	if(k==60) return(data60());
 	if(k==61) return(data61());
	if(k==62) return(data62());
	if(k==63) return(data63());
	if(k==64) return(data64());
	if(k==65) return(data65());
	if(k==66) return(data66());
	if(k==67) return(data67());
	if(k==68) return(data68());
	if(k==69) return(data69());
	if(k==70) return(data70());
	if(k==71) return(data71());
	if(k==72) return(data72());
	if(k==73) return(data73());
	if(k==74) return(data74());
	if(k==75) return(data75());
	if(k==76) return(data76());
	return(null);
    }

    public static long[] data1() {long[] x={0,0,0,0};return(x);}
    public static long[] data2() {long[] x={1,0,0,0};return(x);}
    public static long[] data3() {long[] x={1,0,1,0};return(x);}
    public static long[] data4() {long[] x={0,0,1,0};return(x);}

    public static long[] data5() {long[] x={-250,0,-12,8};return(x);}
    public static long[] data6() {long[] x={-2,-3,-12,8};return(x);}
    public static long[] data7() {long[] x={-4,0,122,-75};return(x);}
    public static long[] data8() {long[] x={122,-75,-4,0};return(x);}
    public static long[] data9() {long[] x={-12,8,-2,-3};return(x);}  
    public static long[] data41() {long[] x={-12,8,-250,0};return(x);} 
    public static long[] data42() {long[] x={-250,0,-250,0};return(x);}

    public static long[] data10() {long[] x={33,-20,33,-20};return(x);}
    public static long[] data11() {long[] x={-12,8,-16,10};return(x);}
    public static long[] data12() {long[] x={1,0,1,0};return(x);}

    public static long[] data13() {long[] x={9,-7,-9,7};return(x);}
    public static long[] data14() {long[] x={2,-3,13,-7};return(x);}
    public static long[] data15() {long[] x={2,-3,-2,-3};return(x);}
    public static long[] data16() {long[] x={-20,15,-2,-3};return(x);}
    public static long[] data17() {long[] x={1,1,-1,0};return(x);}

    public static long[] data18() {long[] x={3,0,-7,0};return(x);}
    public static long[] data19() {long[] x={5,8,-2,-3};return(x);}
    public static long[] data20() {long[] x={3,1,-2,-3};return(x);}
    public static long[] data21() {long[] x={-3,5,14,-8};return(x);}
    public static long[] data22() {long[] x={5,8,5,8};return(x);}
    public static long[] data23() {long[] x={5,-1,13,-10};return(x);}
    public static long[] data24() {long[] x={12,0,12,0};return(x);}
    public static long[] data25() {long[] x={9,0,9,0};return(x);}
    public static long[] data26() {long[] x={4,0,12,-10};return(x);}
    public static long[] data27() {long[] x={15,-7,11,-9};return(x);}
    public static long[] data28() {long[] x={12,0,12,0};return(x);}
    public static long[] data29() {long[] x={24,-7,12,0};return(x);}
    public static long[] data30() {long[] x={3,2,-4,0};return(x);}
    public static long[] data31() {long[] x={4,0,-4,0};return(x);}
    public static long[] data32() {long[] x={15,0,15,0};return(x);}
    public static long[] data33() {long[] x={7,6,15,0};return(x);}
    public static long[] data34() {long[] x={3,0,-15,8};return(x);}

    public static long[] data35() {long[] x={5,0,-1,2};return(x);}
    public static long[] data36() {long[] x={-1,2,5,0};return(x);}
    public static long[] data37() {long[] x={0,1,1,1};return(x);}
    public static long[] data38() {long[] x={1,1,0,1};return(x);}


    public static long[] data39() {long[] x={8,-4,1,0};return(x);}
    public static long[] data40() {long[] x={25,-14,-12,6};return(x);}
    public static long[] data43() {long[] x={12,-6,1,0};return(x);}
    public static long[] data44() {long[] x={-13,9,-13,9};return(x);}
    public static long[] data45() {long[] x={5,8,-7,5};return(x);}
    public static long[] data46() {long[] x={3,1,-2,-3};return(x);}

    public static long[] data47() {long[] x={87,-52,26,-13};return(x);}
    public static long[] data48() {long[] x={33,-17,0,3};return(x);}
    public static long[] data49() {long[] x={-19,19,-7,3};return(x);}
    public static long[] data50() {long[] x={20,-7,-7,3};return(x);}



    public static long[] data51() {long[] x={16,-6,16,-6};return(x);}
    public static long[] data52() {long[] x={9,0,0,3};return(x);}
    public static long[] data53() {long[] x={5,8,1,2};return(x);}
    public static long[] data54() {long[] x={14,-8,-4,3};return(x);}
    public static long[] data55() {long[] x={27,-16,-11,7};return(x);}
    public static long[] data56() {long[] x={10,1,-1,8};return(x);}

    public static long[] data57() {long[] x={1,1,1,1};return(x);}
    public static long[] data58() {long[] x={10,9,-1,2};return(x);}
    public static long[] data59() {long[] x={5,8,-8,7};return(x);}
    public static long[] data60() {long[] x={-88,57,-88,57};return(x);} 

    public static long[] data61() {long[] x={1,1,-7,5};return(x);}
    public static long[] data62() {long[] x={11,-6,-3,2};return(x);}
    public static long[] data63() {long[] x={0,1,1,-1};return(x);}
    public static long[] data64() {long[] x={-20,15,-2,-3};return(x);}
    public static long[] data65() {long[] x={3,1,-2,-3};return(x);}

    public static long[] data66() {long[] x={31,-18,4,-2};return(x);}
    public static long[] data67() {long[] x={-44,28,29,-17};return(x);}
    public static long[] data68() {long[] x={8,-4,29,-17};return(x);}

    public static long[] data69() {long[] x={-7,6,10,-3};return(x);}
    public static long[] data70() {long[] x={25,-10,1,-2};return(x);}
    public static long[] data71() {long[] x={8,2,1,-2};return(x);}
    public static long[] data72() {long[] x={36,-19,10,-3};return(x);}

    public static long[] data73() {long[] x={1,1,-7,5};return(x);}
    public static long[] data74() {long[] x={5,8,-7,5};return(x);}
    public static long[] data75() {long[] x={-6,5,4,-2};return(x);}

    public static long[] data76() {long[] x={5,0,-1,2};return(x);}




}


