


public class DocumentDebug {

    public DocumentDebug() {}


    public static void show(Manager M) {
    }



    public static void info(Manager M) {
        String S="debugging selector";

	S=S+"\n\nThis panel controls which debugging test are done.  I used these tests while developing the program. I did not try to write a debugger for every feature of the program but I tried to write enough to convince myself that everything in the program is functioning correctly.  The user of this program shouldn't have to use this window at all.";

	S=S+"\n\n arithmetic. Checks various arithmetic operations for the ring R=Q_2[\u03D5,\u03A8].  Here.\n\u03D5=(1_\u221A5)/2\n\u03A8=(1+\u221A13)/2\nQ_2 is the ring of dyadic rationals.";
	S=S+"\nHere is what we check:";
	S=S+"\n(plus,minus,times) for elements of R.";
	S=S+"\n(plus,minus,times,power) for polynomials over R";
	S=S+"\n(plus) for rational functions over R";

	S=S+"\n\n data. Checks that our stored data is correct:";
              S=S+"\n\nThe integer matrix versions of the elements of the heat semigroup agree with the numerically computed maps.";
	      S=S+"\n\nThe differentials of our maps (computed formally as rational functions) well agree with numerically computed approximations based on the difference quotient of the floating point based maps.";

	S=S+"\n\n composition. Checks that we correctly compose linear functionals with rational maps.";

	S=S+"\n\npositivity. Checks that we correctly implement the test for positivity of an element ofthe ring R.  What we do is clear denominators and then convert to an element of Z[\u221A5,\u221A13].  Then we check the positivity of suitable integer combinations of the coefficients.";

	S=S+"\n\nconfiner. Checks that the algebra behind our confiner works correctly.  Given a rational map F and a triangle T and a line L, the confiner produces a polynomial which has a zero in the unit square if and only if F(T) intersects L.  So, showing that F(T) is confined to one side of L amounts to showing that this auxiliary polynomial does not vanish in the unit square.";

	S=S+"\n\nprint vertices. Prints out the numerical values of the points in the partition.  An earlier version of the program stored the numerical values of the vertices, but in the end I thought that this was not necessary.  However, it seems worthwhile keeping this feature around.";

	S=S+"\n\ndiff: This prints out information about the derivative of the selected map F:";
	 S=S+"\nThe minimum of |det(dF)|";
	 S=S+"\nThe maximum of |d00^2+d01^2|";
	 S=S+"\nThe maximum of |d10^2+d11^2|";
	 S=S+"\n\nThis feature is very useful when we want to see what bounds will lead to success when we use the area test or the L2 norm test.";

	 S=S+"\n\nrecognize: This grabs the point on the picture canvas and finds an approximation to it that lies in our number ring.  This does a big search and takes a while.";


	 try{
            M.D.setExplain(S);
            M.D.repaint();
	 }
	 catch(Exception e) {}
    }



}