import java.applet.Applet;
import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import java.awt.geom.*;
import java.math.*;


public class ProofCanvas extends ScaleCanvas implements MouseListener {
    Manager M;
    ListenSquare[] L=new ListenSquare[20];

     public ProofCanvas() {
	 addMouseListener(this);
	 for(int i=0;i<12;++i) L[i]=new ListenSquare(5,80+18*i,12,12);
     }

   public void paint(Graphics g2) {
      Graphics2D g=(Graphics2D) g2;
      g.setRenderingHint(RenderingHints.KEY_ANTIALIASING,RenderingHints.VALUE_ANTIALIAS_ON);
      drawBG(g);
      drawControls(g);	
   }

   public void drawBG(Graphics2D g) {
       g.setColor(new Color(0,90,90));
        g.fillRect(0,0,getWidth(),getHeight()); 
   }

    public void drawControls(Graphics2D g) {
	for(int i=0;i<12;++i) L[i].infoRender(g);
	g.setColor(Color.yellow);
        g.setFont(new Font("Helvetica",Font.PLAIN,15));	
	g.drawString("Open the instructions window.",7,20);
	g.drawString("Click the ? boxes for tutorials",5,40);
	g.drawString("on the following features:",5,60);
        g.setFont(new Font("Helvetica",Font.PLAIN,12));
	g.setColor(Color.white);	
	g.drawString("rescaling the picture",25,90);
	g.drawString("using the pointer",25,108);
	g.drawString("recoloring stuff",25,126);
	g.drawString("DOMAIN and CONTAINER ",25,144);
	g.drawString("modifying DOMAIN & CONT.",25,162);
	g.drawString("denominator test",25,180);
	g.drawString("confinement test",25,198);
	g.drawString("exclusion test",25,216);
	g.drawString("area test",25,234);
	g.drawString("L2 norm test",25,252);
	g.drawString("cone test",25,270);
	g.drawString("stretch test",25,288);
    }

    public void mouseClicked(MouseEvent e) {
        MouseData J=MouseData.process(e);
	if(L[0].inside(J.X)==1) DocumentTutorial.rescale(M);
	if(L[1].inside(J.X)==1) DocumentTutorial.pointer(M);
	if(L[2].inside(J.X)==1) DocumentTutorial.recolor(M);
	if(L[3].inside(J.X)==1) DocumentTutorial.partition(M);
	if(L[4].inside(J.X)==1) DocumentTutorial.modify(M);	
	if(L[5].inside(J.X)==1) DocumentTutorial.denom(M);
	if(L[6].inside(J.X)==1) DocumentTutorial.confinement(M);
	if(L[7].inside(J.X)==1) DocumentTutorial.exclusion(M);
	if(L[8].inside(J.X)==1) DocumentTutorial.area(M);
	if(L[9].inside(J.X)==1)  DocumentTutorial.L2norm(M);
	if(L[10].inside(J.X)==1) DocumentTutorial.cone(M);
	if(L[11].inside(J.X)==1) DocumentTutorial.stretch(M);
	M.repaint();
    }

     public void mousePressed(MouseEvent e) {}
     public void mouseReleased(MouseEvent e) {}
     public void mouseEntered(MouseEvent e) {}
     public void mouseExited(MouseEvent e) {}   


}

