import java.applet.Applet;
import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import java.awt.geom.*;
import java.math.*;



/**this class lets you select the map.*/

public class HandleTestNorm {
    int X,Y; //location of control panel 
    ListenSquare I; //documentation
    SelectInteger[] S=new SelectInteger[4];
    int mode=0;

    public HandleTestNorm(int x,int y) {
	X=x;
	Y=y;
	S[0]=new SelectInteger(X+135,Y+40,30,15,0,-500,500,5);
	S[1]=new SelectInteger(X+135,Y+80,30,15,0,-500,500,5);
	I=new ListenSquare(X+83,Y,12,12);
    }


    public void render(Graphics2D g) {
	g.setColor(new Color(100,0,100));
	int size=125;
	g.fillRect(X,Y,200,125);
	g.setColor(Color.white);
	g.drawRect(X,Y,200,125);
	for(int i=0;i<2;++i) S[i].render(g,Color.red,Color.white,Color.white);
	g.setFont(new Font("Helvetica",Font.PLAIN,12));
	g.drawString("Test if",X+5,Y+20);

	drawPartial(g,"F1","x1");
	g.drawString("+",X+60,Y+50);
	g.drawString("<",X+120,Y+50);
	g.translate(70,0);
	drawPartial(g,"F1","x2");
	g.translate(-70,0);

	g.translate(0,40);
	drawPartial(g,"F2","x1");
	g.drawString("+",X+60,Y+50);
	g.drawString("<",X+120,Y+50);
	g.translate(70,0);
	drawPartial(g,"F2","x2");
	g.translate(-70,0);
	g.translate(0,-40);

	String S=getNorm();
	g.drawString("gives |dF|",X+5,Y+113);
	g.drawString("2",X+58,Y+118);
	g.drawString("<"+S,X+70,Y+113);
    }

    public void drawPartial(Graphics2D g,String S1,String S2) {

	g.setFont(new Font("Helvetica",Font.PLAIN,12));
	g.drawString("\u2202"+S1,X+15,Y+40);
	g.drawLine(X+15,Y+43,X+35,Y+43);
	g.drawString("\u2202"+S2,X+15,Y+55);
	g.drawString("2",X+45,Y+35);
	g.setFont(new Font("Helvetica",Font.PLAIN,30));
	g.drawString("(",X+5,Y+50);
	g.drawString(")",X+35,Y+50);
	g.setFont(new Font("Helvetica",Font.PLAIN,12));
    }



    public String getNorm() {
	double d=S[0].val+S[1].val;
	d=Math.sqrt(d);
	return(GraphicsHelp.clean(d));
    }


    public int process(Point X) {
	if(I.inside(X)==1) return(99);
	for(int i=0;i<2;++i) S[i].modify(X);
	return(0);
    }

    public QI2[] getBounds() {
	QI2 b0=new QI2(S[0].val,0);
	QI2 b1=new QI2(S[1].val,0);
	QI2[] b={b0,b1};
	return(b);
    }
}
