import java.applet.Applet;
import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import java.awt.geom.*;
import java.math.*;


public class RenderPartition {

    /**This decides whether to fill in the
       tiles or not.*/

    public static boolean selectCorrectMap(Manager M) {
 	int tot=DataPartitionManager.TOTAL;
	int k=getIndex(M);
	if(k==-1) return(false);
	PolyVector P=DataPartitionManager.pieceN(k);
	int[] on={SelectStyle.AUTO1,SelectStyle.AUTO2};
	if(on[0]==1) DataPartitionManager.assignDomain(M,k);
	if(on[1]==1) DataConfiner.assignRange(M,k);
	for(int i=0;i<4;++i) M.C.MC.G[i].val=P.image[i]; 
	return(true);
    }

    public static int getIndex(Manager M) {
	int tot=DataPartitionManager.TOTAL; 
	int q=SelectPartition.SUB;
	for(int k=0;k<tot;++k) {
           PolyVector P=DataPartitionManager.pieceN(k);
	   Path2D.Double gp=P.toPath();
	   boolean test=gp.contains(M.P.SOURCE.x,M.P.SOURCE.y);
	   if(test==true) {
	       if((q==0)&&(k< 41)) return(k);
	       if((q==1)&&(k!=40)) return(k);
	   }
	}
	return(-1);
    }

    public static void tri(Manager M,Graphics2D g,Color C) { 
	int LIM=4;
	int tot=DataPartitionManager.TOTAL;
	int q = SelectPartition.SUB;
	for(int k=0;k<tot;++k) {
	   PolyVector P=DataPartitionManager.pieceN(k);
	   int[] A={0,0,0,0};
	   int a=SelectPartition.FILL;
	   if((q==0)&&(k> 40)) a=-1;
	   if((q==1)&&(k==40)) a=-1;
	   if(k==47) a=-1;
	   if(a==0) GraphicsHelp.drawMap(M.P,g,A,P,LIM,C,1);
	   if(a==1) {  
              Color C1=M.T.HT.getColor(k);
              GraphicsHelp.fillMap(M.P,g,A,P,LIM,C1,1);
	   }
	}
    }

    public static void triSelect(Manager M,Graphics2D g,Color C) {  
	int width=2;
	int LIM=PlotStyle.power(4,PlotStyle.DENS);
	width=PlotStyle.WIDTH;
	int name=getIndex(M);
	if(name==-1) return;
	PolyVector P=DataPartitionManager.pieceN(name);
	name=P.name;

        if(name!=-1) {
	    SelectPartition.TILE=name;
	    try{
               M.T.HT.forceBox(name);
	    }
	    catch(Exception e) {}
	}

	int[] image=DataPartition.image(name);
	int[] A={0,0,0,0};
	int[] B=M.C.MC.getMap();
	GraphicsHelp.drawMap(M.P,g,A,P,4,C,width);
    }




    /**Display of vertex coordinates*/


    public static void polyInfo(int c1,int c2,Manager M,Graphics2D g) {
	QI2Polygon P=M.P.DOMAIN;
	if(c1==1) P=M.P.RANGE;
	int[] c=new int[P.COUNT];
	for(int i=0;i<P.COUNT;++i) c[i]=i+1;
	int[] S={25,150};
	int y=55;
	PolyVector PP=P.toDouble();
	int n=PP.nearest(M.P.SOURCE);
	vtxInfo(c2,10,y,S,g,P,c,n);
    }

    public static void vtxInfo(int c2,int X,int Y,int[] S,Graphics2D g,QI2Polygon P,int[] a,int index) { 
	if(P==null) return;   
        g.setFont(new Font("Helvetica",Font.PLAIN,12));

	for(int i=0;i<P.COUNT;++i) { 
   	    g.setColor(Color.white);
	    if(i==index) g.setColor(Color.orange);
	    String S0=P.V[i][0].toString();
	    String S1=P.V[i][1].toString();
	    if(c2==1) {
	      S0=GraphicsHelp.clean(P.V[i][0].toDouble());
	      S1=GraphicsHelp.clean(P.V[i][1].toDouble());
	    }
	    Integer A=new Integer(a[i]);
	    g.drawString(A.toString()+":",X,Y+17*i);
            g.drawString(S0,X+S[0],Y+17*i);
            g.drawString(S1,X+S[1],Y+17*i);
	}
    }






}


